Connect Domain
API referenceConnections

Connection status (state, records desired vs observed, cert)

GET
/connections/{id}
AuthorizationBearer <token>

API key: sk_test_… / sk_live_… (hashed at rest, scoped)

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",  "hostname": "string",  "kind": "apex",  "setup_type": "automatic",  "state": "created",  "provider": "string",  "batch_id": "4da22c97-b7d5-4e31-8c3a-03870ebc7b20",  "error_code": "string",  "created_at": "2019-08-24T14:15:22Z",  "desired_records": [    {      "host": "string",      "type": "A",      "value": "string",      "ttl": 300,      "priority": 0    }  ],  "observed_records": [    {      "host": "string",      "type": "A",      "value": "string",      "ttl": 300,      "priority": 0,      "propagated": true,      "observed_at": "2019-08-24T14:15:22Z"    }  ],  "certificate": {    "status": "none",    "not_after": "2019-08-24T14:15:22Z",    "ca": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "details": null  }}